Skip to main content
`Ctrl`+`K`

# vispy.visuals.graphs.layouts package

## Submodules

- vispy.visuals.graphs.layouts.circular module
  - Circular Layout
  - `circular()`
- vispy.visuals.graphs.layouts.force_directed module
  - Force-Directed Graph Layout
  - `fruchterman_reingold`
- vispy.visuals.graphs.layouts.networkx_layout module
  - `NetworkxCoordinates`
    - `NetworkxCoordinates.adj`
- vispy.visuals.graphs.layouts.random module
  - Random Graph Layout
  - `random()`

## Module contents

vispy.visuals.graphs.layouts.get_layout(name, *args, **kwargs)

  Retrieve a graph layout

  Some graph layouts accept extra options. Please refer to their documentation for more information.

  Parameters:
    name string

      The name of the layout. The variable AVAILABLE_LAYOUTS contains all available layouts.

    *args

      Positional arguments which are passed to the layout.

    **kwargs

      Keyword arguments which are passed to the layout.

  Returns:
    layout callable

      The callable generator which will calculate the graph layout